Skip to content

Get User Permission over Resources

Endpoint: GET /api/users/{userId}/permissions

Retrieves the permissions that a user has over any resources. The invoking user must be an Admin to the Conductor cluster.

Path parameters

Parameter Description Type Required/ Optional
userId The email address of the user whose permissions are to be retrieved. string Required

Response

  • Returns an object containing the user's granted access permissions over resources.
  • Returns 403 if a non-admin invokes the API.

Examples

Get a user’s permission over resources

Request

curl -X 'GET' \
  'https://<YOUR-SERVER-URL>/api/users/john.doe%40acme.com/permissions' \
  -H 'accept: application/json' \
  -H 'X-Authorization: <TOKEN>'

Response

{
  "grantedAccess": [
    {
      "target": {
        "type": "INTEGRATION_PROVIDER",
        "id": "azure_fk"
      },
      "access": [
        "DELETE",
        "UPDATE",
        "READ"
      ]
    },
    {
      "target": {
        "type": "WORKFLOW_DEF",
        "id": "azure"
      },
      "access": [
        "DELETE",
        "UPDATE",
        "READ",
        "CREATE",
        "EXECUTE"
      ]
    }
  ]
}